Phone
Request a phone number
Takes a number seat and buys an SMS-capable number in the background; poll until status is active. Paid plans only. Reuse idempotency_key when retrying.
POST
/
api
/
v1
/
phone-numbers
Request a phone number
curl --request POST \
--url https://agent-loadout.com/api/v1/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "<string>",
"agent_id": "<string>",
"number": "<string>",
"area_code": "<string>",
"friendly_name": "<string>",
"idempotency_key": "<string>"
}
'import requests
url = "https://agent-loadout.com/api/v1/phone-numbers"
payload = {
"country": "<string>",
"agent_id": "<string>",
"number": "<string>",
"area_code": "<string>",
"friendly_name": "<string>",
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country: '<string>',
agent_id: '<string>',
number: '<string>',
area_code: '<string>',
friendly_name: '<string>',
idempotency_key: '<string>'
})
};
fetch('https://agent-loadout.com/api/v1/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-loadout.com/api/v1/phone-numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => '<string>',
'agent_id' => '<string>',
'number' => '<string>',
'area_code' => '<string>',
'friendly_name' => '<string>',
'idempotency_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent-loadout.com/api/v1/phone-numbers"
payload := strings.NewReader("{\n \"country\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"number\": \"<string>\",\n \"area_code\": \"<string>\",\n \"friendly_name\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent-loadout.com/api/v1/phone-numbers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"number\": \"<string>\",\n \"area_code\": \"<string>\",\n \"friendly_name\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent-loadout.com/api/v1/phone-numbers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"number\": \"<string>\",\n \"area_code\": \"<string>\",\n \"friendly_name\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"phone_number": {
"id": "<string>",
"agent_id": "<string>",
"number": "<string>",
"country": "<string>",
"friendly_name": "<string>",
"capabilities": {
"sms": true,
"mms": true,
"voice": true
},
"status": "provisioning",
"inbound_mode": "open",
"last_error": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}Authorizations
Body
application/json
⌘I
Request a phone number
curl --request POST \
--url https://agent-loadout.com/api/v1/phone-numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "<string>",
"agent_id": "<string>",
"number": "<string>",
"area_code": "<string>",
"friendly_name": "<string>",
"idempotency_key": "<string>"
}
'import requests
url = "https://agent-loadout.com/api/v1/phone-numbers"
payload = {
"country": "<string>",
"agent_id": "<string>",
"number": "<string>",
"area_code": "<string>",
"friendly_name": "<string>",
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country: '<string>',
agent_id: '<string>',
number: '<string>',
area_code: '<string>',
friendly_name: '<string>',
idempotency_key: '<string>'
})
};
fetch('https://agent-loadout.com/api/v1/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-loadout.com/api/v1/phone-numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country' => '<string>',
'agent_id' => '<string>',
'number' => '<string>',
'area_code' => '<string>',
'friendly_name' => '<string>',
'idempotency_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent-loadout.com/api/v1/phone-numbers"
payload := strings.NewReader("{\n \"country\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"number\": \"<string>\",\n \"area_code\": \"<string>\",\n \"friendly_name\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent-loadout.com/api/v1/phone-numbers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"country\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"number\": \"<string>\",\n \"area_code\": \"<string>\",\n \"friendly_name\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent-loadout.com/api/v1/phone-numbers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"number\": \"<string>\",\n \"area_code\": \"<string>\",\n \"friendly_name\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"phone_number": {
"id": "<string>",
"agent_id": "<string>",
"number": "<string>",
"country": "<string>",
"friendly_name": "<string>",
"capabilities": {
"sms": true,
"mms": true,
"voice": true
},
"status": "provisioning",
"inbound_mode": "open",
"last_error": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>",
"details": {}
}
}